MysqlDefs
Date: 2018-05-01

com.mysql.jdbc

## Class MysqlDefs

- java.lang.Object
- - com.mysql.jdbc.MysqlDefs

-     public final class MysqlDefs
      extends java.lang.Object

  MysqlDefs contains many values that are needed for communication with the MySQL server.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static int` | `COM_BINLOG_DUMP`
    `(package private) static int` | `COM_CHANGE_USER`
    `(package private) static int` | `COM_CLOSE_STATEMENT`
    `(package private) static int` | `COM_CONNECT_OUT`
    `(package private) static int` | `COM_END`
    `(package private) static int` | `COM_EXECUTE`
    `(package private) static int` | `COM_FETCH`
    `(package private) static int` | `COM_LONG_DATA`
    `(package private) static int` | `COM_PREPARE`
    `(package private) static int` | `COM_REGISTER_SLAVE`
    `(package private) static int` | `COM_RESET_STMT`
    `(package private) static int` | `COM_SET_OPTION`
    `(package private) static int` | `COM_TABLE_DUMP`
    `(package private) static int` | `CONNECT`
    `(package private) static int` | `CREATE_DB`
    `(package private) static int` | `DEBUG`
    `(package private) static int` | `DELAYED_INSERT`
    `(package private) static int` | `DROP_DB`
    `(package private) static int` | `FIELD_LIST`
    `(package private) static int` | `FIELD_TYPE_BIT`
    `static int` | `FIELD_TYPE_BLOB`
    `(package private) static int` | `FIELD_TYPE_DATE`
    `(package private) static int` | `FIELD_TYPE_DATETIME`
    `(package private) static int` | `FIELD_TYPE_DECIMAL`
    `(package private) static int` | `FIELD_TYPE_DOUBLE`
    `(package private) static int` | `FIELD_TYPE_ENUM`
    `(package private) static int` | `FIELD_TYPE_FLOAT`
    `(package private) static int` | `FIELD_TYPE_GEOMETRY`
    `(package private) static int` | `FIELD_TYPE_INT24`
    `(package private) static int` | `FIELD_TYPE_JSON`
    `(package private) static int` | `FIELD_TYPE_LONG`
    `(package private) static int` | `FIELD_TYPE_LONG_BLOB`
    `(package private) static int` | `FIELD_TYPE_LONGLONG`
    `(package private) static int` | `FIELD_TYPE_MEDIUM_BLOB`
    `(package private) static int` | `FIELD_TYPE_NEW_DECIMAL`
    `(package private) static int` | `FIELD_TYPE_NEWDATE`
    `(package private) static int` | `FIELD_TYPE_NULL`
    `(package private) static int` | `FIELD_TYPE_SET`
    `(package private) static int` | `FIELD_TYPE_SHORT`
    `(package private) static int` | `FIELD_TYPE_STRING`
    `(package private) static int` | `FIELD_TYPE_TIME`
    `(package private) static int` | `FIELD_TYPE_TIMESTAMP`
    `(package private) static int` | `FIELD_TYPE_TINY`
    `(package private) static int` | `FIELD_TYPE_TINY_BLOB`
    `(package private) static int` | `FIELD_TYPE_VAR_STRING`
    `(package private) static int` | `FIELD_TYPE_VARCHAR`
    `(package private) static int` | `FIELD_TYPE_YEAR`
    `(package private) static int` | `INIT_DB`
    `(package private) static long` | `LENGTH_BLOB`
    `(package private) static long` | `LENGTH_LONGBLOB`
    `(package private) static long` | `LENGTH_MEDIUMBLOB`
    `(package private) static long` | `LENGTH_TINYBLOB`
    `(package private) static int` | `MAX_ROWS`
    `static int` | `NO_CHARSET_INFO` Used to indicate that the server sent no field-level character set information, so the driver should use the connection-level character encoding instead.
    `(package private) static byte` | `OPEN_CURSOR_FLAG`
    `(package private) static int` | `PING`
    `(package private) static int` | `PROCESS_INFO`
    `(package private) static int` | `PROCESS_KILL`
    `(package private) static int` | `QUERY`
    `(package private) static int` | `QUIT`
    `(package private) static int` | `RELOAD`
    `(package private) static int` | `SHUTDOWN`
    `(package private) static int` | `SLEEP`
    `(package private) static int` | `STATISTICS`
    `(package private) static int` | `TIME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MysqlDefs()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static void` | `appendJdbcTypeMappingQuery(java.lang.StringBuilder buf, java.lang.String mysqlTypeColumnName)`
    `(package private) static int` | `mysqlToJavaType(int mysqlType)` Maps the given MySQL type to the correct JDBC type.
    `(package private) static int` | `mysqlToJavaType(java.lang.String mysqlType)` Maps the given MySQL type to the correct JDBC type.
    `static java.lang.String` | `typeToName(int mysqlType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COM_BINLOG_DUMP

          static final int COM_BINLOG_DUMP

      See Also:
        Constant Field Values

    - #### COM_CHANGE_USER

          static final int COM_CHANGE_USER

      See Also:
        Constant Field Values

    - #### COM_CLOSE_STATEMENT

          static final int COM_CLOSE_STATEMENT

      See Also:
        Constant Field Values

    - #### COM_CONNECT_OUT

          static final int COM_CONNECT_OUT

      See Also:
        Constant Field Values

    - #### COM_END

          static final int COM_END

      See Also:
        Constant Field Values

    - #### COM_EXECUTE

          static final int COM_EXECUTE

      See Also:
        Constant Field Values

    - #### COM_FETCH

          static final int COM_FETCH

      See Also:
        Constant Field Values

    - #### COM_LONG_DATA

          static final int COM_LONG_DATA

      See Also:
        Constant Field Values

    - #### COM_PREPARE

          static final int COM_PREPARE

      See Also:
        Constant Field Values

    - #### COM_REGISTER_SLAVE

          static final int COM_REGISTER_SLAVE

      See Also:
        Constant Field Values

    - #### COM_RESET_STMT

          static final int COM_RESET_STMT

      See Also:
        Constant Field Values

    - #### COM_SET_OPTION

          static final int COM_SET_OPTION

      See Also:
        Constant Field Values

    - #### COM_TABLE_DUMP

          static final int COM_TABLE_DUMP

      See Also:
        Constant Field Values

    - #### CONNECT

          static final int CONNECT

      See Also:
        Constant Field Values

    - #### CREATE_DB

          static final int CREATE_DB

      See Also:
        Constant Field Values

    - #### DEBUG

          static final int DEBUG

      See Also:
        Constant Field Values

    - #### DELAYED_INSERT

          static final int DELAYED_INSERT

      See Also:
        Constant Field Values

    - #### DROP_DB

          static final int DROP_DB

      See Also:
        Constant Field Values

    - #### FIELD_LIST

          static final int FIELD_LIST

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_BIT

          static final int FIELD_TYPE_BIT

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_BLOB

          public static final int FIELD_TYPE_BLOB

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_DATE

          static final int FIELD_TYPE_DATE

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_DATETIME

          static final int FIELD_TYPE_DATETIME

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_DECIMAL

          static final int FIELD_TYPE_DECIMAL

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_DOUBLE

          static final int FIELD_TYPE_DOUBLE

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_ENUM

          static final int FIELD_TYPE_ENUM

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_FLOAT

          static final int FIELD_TYPE_FLOAT

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_GEOMETRY

          static final int FIELD_TYPE_GEOMETRY

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_INT24

          static final int FIELD_TYPE_INT24

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_LONG

          static final int FIELD_TYPE_LONG

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_LONG_BLOB

          static final int FIELD_TYPE_LONG_BLOB

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_LONGLONG

          static final int FIELD_TYPE_LONGLONG

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_MEDIUM_BLOB

          static final int FIELD_TYPE_MEDIUM_BLOB

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_NEW_DECIMAL

          static final int FIELD_TYPE_NEW_DECIMAL

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_NEWDATE

          static final int FIELD_TYPE_NEWDATE

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_NULL

          static final int FIELD_TYPE_NULL

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_SET

          static final int FIELD_TYPE_SET

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_SHORT

          static final int FIELD_TYPE_SHORT

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_STRING

          static final int FIELD_TYPE_STRING

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_TIME

          static final int FIELD_TYPE_TIME

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_TIMESTAMP

          static final int FIELD_TYPE_TIMESTAMP

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_TINY

          static final int FIELD_TYPE_TINY

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_TINY_BLOB

          static final int FIELD_TYPE_TINY_BLOB

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_VAR_STRING

          static final int FIELD_TYPE_VAR_STRING

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_VARCHAR

          static final int FIELD_TYPE_VARCHAR

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_YEAR

          static final int FIELD_TYPE_YEAR

      See Also:
        Constant Field Values

    - #### FIELD_TYPE_JSON

          static final int FIELD_TYPE_JSON

      See Also:
        Constant Field Values

    - #### INIT_DB

          static final int INIT_DB

      See Also:
        Constant Field Values

    - #### LENGTH_BLOB

          static final long LENGTH_BLOB

      See Also:
        Constant Field Values

    - #### LENGTH_LONGBLOB

          static final long LENGTH_LONGBLOB

      See Also:
        Constant Field Values

    - #### LENGTH_MEDIUMBLOB

          static final long LENGTH_MEDIUMBLOB

      See Also:
        Constant Field Values

    - #### LENGTH_TINYBLOB

          static final long LENGTH_TINYBLOB

      See Also:
        Constant Field Values

    - #### MAX_ROWS

          static final int MAX_ROWS

      See Also:
        Constant Field Values

    - #### NO_CHARSET_INFO

          public static final int NO_CHARSET_INFO

      Used to indicate that the server sent no field-level character set information, so the driver should use the connection-level character encoding instead.
      See Also:
        Constant Field Values

    - #### OPEN_CURSOR_FLAG

          static final byte OPEN_CURSOR_FLAG

      See Also:
        Constant Field Values

    - #### PING

          static final int PING

      See Also:
        Constant Field Values

    - #### PROCESS_INFO

          static final int PROCESS_INFO

      See Also:
        Constant Field Values

    - #### PROCESS_KILL

          static final int PROCESS_KILL

      See Also:
        Constant Field Values

    - #### QUERY

          static final int QUERY

      See Also:
        Constant Field Values

    - #### QUIT

          static final int QUIT

      See Also:
        Constant Field Values

    - #### RELOAD

          static final int RELOAD

      See Also:
        Constant Field Values

    - #### SHUTDOWN

          static final int SHUTDOWN

      See Also:
        Constant Field Values

    - #### SLEEP

          static final int SLEEP

      See Also:
        Constant Field Values

    - #### STATISTICS

          static final int STATISTICS

      See Also:
        Constant Field Values

    - #### TIME

          static final int TIME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MysqlDefs

          public MysqlDefs()

  - ### Method Detail

    - #### mysqlToJavaType

          static int mysqlToJavaType(int mysqlType)

      Maps the given MySQL type to the correct JDBC type.

    - #### mysqlToJavaType

          static int mysqlToJavaType(java.lang.String mysqlType)

      Maps the given MySQL type to the correct JDBC type.

    - #### typeToName

          public static java.lang.String typeToName(int mysqlType)

      Parameters:
        `mysqlType` -

    - #### appendJdbcTypeMappingQuery

          static final void appendJdbcTypeMappingQuery(java.lang.StringBuilder buf,
                                        java.lang.String mysqlTypeColumnName)